com.r3corda.node.services.clientapi / NodeInterestRates

# NodeInterestRates

`object NodeInterestRates`

An interest rates service is an oracle that signs transactions which contain embedded assertions about an interest rate fix (e.g. LIBOR, EURIBOR ...).

The oracle has two functions. It can be queried for a fix for the given day. And it can sign a transaction that includes a fix that it finds acceptable. So to use it you would query the oracle, incorporate its answer into the transaction you are building, and then (after possibly extra steps) hand the final transaction back to the oracle for signing.

### Types

FixContainer | `class FixContainer` Fix container, for every fix name & date pair stores a tenor to interest rate map - InterpolatingRateMap
InterpolatingRateMap | `class InterpolatingRateMap` Stores a mapping between tenors and interest rates. Interpolates missing values using the provided interpolation mechanism.
Oracle | `class Oracle` An implementation of an interest rate fix oracle which is given data in a simple string format.
Service | `class Service : AcceptsFileUpload, AbstractNodeService` The Service that wraps Oracle and handles messages/network interaction/request scrubbing.
Type | `object Type : ServiceType`

### Exceptions

UnknownFix | `class UnknownFix : Exception`

### Functions

parseFile | `fun parseFile(s: String): FixContainer` Parses lines containing fixes
parseFix | `fun parseFix(s: String): Fix` Parses a string of the form "LIBOR 16-March-2016 1M = 0.678" into a Fix
parseFixOf | `fun parseFixOf(key: String): FixOf` Parses a string of the form "LIBOR 16-March-2016 1M" into a FixOf